Get Overtime Methods
Return the overtime methods configured for the Quinyx customer.
Request
API key of any unit on the customer.
Selects overtime methods modified after this date. Leave empty to ignore.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/GetOvertimeMethods"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetOvertimeMethods>
<apiKey xsi:type="xsd:string">string</apiKey>
<lastModified xsi:type="xsd:string">string</lastModified>
</tns:wsdlGetOvertimeMethods>
</soap:Body>
</soap:Envelope>
EOFResponse
Array of OvertimeMethod records.
A configured overtime method on the customer.
Internal id of the overtime method.
Display name of the overtime method.
Salary type
Working-quota base
Overtime period
Start date of the overtime period.
Length of the overtime period, in units defined by periodType.
Number of hours in the working quota.
When true, hours for the overtime are included when calculating subsequent overtimes.
Threshold base:
Number of hours that must be reached in the threshold period to start generating overtime.
Length of the threshold period, in units defined by thresholdType.
Start date of the threshold period.
Source the overtime levels are based on
Array of otLevel records.
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetOvertimeMethodsResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:OvertimeMethod[1]">
<item xsi:type="tns:OvertimeMethod">
<id xsi:type="xsd:int">0</id>
<name xsi:type="xsd:string">string</name>
<type xsi:type="xsd:int">0</type>
<base xsi:type="xsd:int">0</base>
<periodType xsi:type="xsd:int">0</periodType>
<startDate xsi:type="xsd:date">2024-01-01</startDate>
<periodLength xsi:type="xsd:int">0</periodLength>
<hours xsi:type="xsd:decimal">0</hours>
<countUpwards xsi:type="xsd:boolean">true</countUpwards>
<thresholdType xsi:type="xsd:int">0</thresholdType>
<thresholdHours xsi:type="xsd:decimal">0</thresholdHours>
<thresholdLength xsi:type="xsd:int">0</thresholdLength>
<thresholdStartDate xsi:type="xsd:date">2024-01-01</thresholdStartDate>
<otLevelType xsi:type="xsd:int">0</otLevelType>
<otLevels xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:otLevel[1]">
<item xsi:type="tns:otLevel">
<hours xsi:type="xsd:decimal">0</hours>
<overtimeType xsi:type="xsd:int">0</overtimeType>
</item>
</otLevels>
</item>
</return>
</tns:wsdlGetOvertimeMethodsResponse>
</soap:Body>
</soap:Envelope>Change log
| Date | Description |
|---|---|
| 2016-03-01 | New web service |